Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 163)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 226)
@@ -4,8 +4,8 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Putting into place of the drawing/ opening of the window or of the PS
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
@@ -13,20 +13,20 @@
 ; It specify what procedure is called by PLACEDESSIN: 'plt', 'pltz' or 'pltt'
 ;
-; @keyword LANDSCAPE 
+; @keyword LANDSCAPE
 ; Force the page or the window on the screen to be in lengthened position.
 ;
 ; @keyword LCT {type=integer}
-; It designate the number of the palette of color we want to use for the plot. 
+; It designate the number of the palette of color we want to use for the plot.
 ;	
-; @keyword MAP 
+; @keyword MAP
 ; We use it when we want to do a projection.
 ; This keyword can be of two types:
 ;     MAP=[P0lat,P0lon,Rot]. For the description of these 3 values (see the online help of MAP_SET).
-;     /MAP: In this case, map is automatically calculated have the value: 
+;     /MAP: In this case, map is automatically calculated have the value:
 ;          map = [0, (lon1+lon2)/2., 0]
 ; Comment: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
 ; IDL> demo
 ; Then choose earth sciences and  mapping.
-; Comment2: By default it is a cylindrical projection which is effectuated (with or without the keyword map). 
+; Comment2: By default it is a cylindrical projection which is effectuated (with or without the keyword map).
 ; If we want an other projection, MAP must be activated and we have to add the keyword: /nom_projection.
 ; For example, for a polar projection centered on the south pole:
@@ -34,53 +34,53 @@
 ; IDL> plt, tab, /stereo,map=[-90,0,0]
 ;	
-; @keyword NOCOLORBAR 
+; @keyword NOCOLORBAR
 ; We active it if we do not want the colorbar.
 
-;; @keyword NOFILL 
+;; @keyword NOFILL
 ; We active it if we only want contours in black and white with a white background.
 ;
-; @keyword NOERASE 
+; @keyword NOERASE
 ; We active it to make a drawing without creating a new frame.
 ;
-; @keyword SMALL 
-; Vector composed of 3 or 4 elements, applied to make a drawing on a 
+; @keyword SMALL
+; Vector composed of 3 or 4 elements, applied to make a drawing on a
 ; small portion of a page or screen. It delimit the zone where the drawing will be done.
 ;     If there is 4 elements:
-; then is constituted of coordinates (expressed in cm located from the up and 
-; left corner of the page or the window (in portrait like in landscape)) of the bottom 
+; then is constituted of coordinates (expressed in cm located from the up and
+; left corner of the page or the window (in portrait like in landscape)) of the bottom
 ; and left corner and of the up and right corner of the drawing zone.
 ;     If there is 3 elements:
-; in this case, we divide the page or the screen in small[0] columns and in small[1] lines 
-; the drawing made in the box numbered small[2]. The numerotation starting up and left by 
+; in this case, we divide the page or the screen in small[0] columns and in small[1] lines
+; the drawing made in the box numbered small[2]. The numerotation starting up and left by
 ; the number 1 and then, following the writing direction.
-; By default, we make the largest drawing we can do, conserving the aspect rapport 
+; By default, we make the largest drawing we can do, conserving the aspect rapport
 ; (except when REMPLI is activated).
-; 
-; @keyword PORTRAIT 
+;
+; @keyword PORTRAIT
 ; Force the page or the window to be in standing position.
 ;
-; @keyword POST 
+; @keyword POST
 ; Make a postscript. Only works if we made one drawing on the page.
 ; If we make several drawing, use \@ps.
 ;
-; @keyword REMPLI 
+; @keyword REMPLI
 ; Force the drawing to occupy the whole space defined by small.
 ;
-; @keyword WINDOW 
-; Number of the window on which we want to do the graph (Allow to open several windows). 
+; @keyword WINDOW
+; Number of the window on which we want to do the graph (Allow to open several windows).
 ; By default, we open 'IDL0'
 ;
-; @keyword CB_TITLE 
+; @keyword CB_TITLE
 ; The colorbar's title
 ;
-; @keyword CONTOUR 
-; If we want to trace contours of a different field than the one 
-; whose we have the colored drawing (by example E-P in color and QSR in contours). 
+; @keyword CONTOUR
+; If we want to trace contours of a different field than the one
+; whose we have the colored drawing (by example E-P in color and QSR in contours).
 ; It must be a field respecting same characteristics than the argument number one of plt.
 ;
-; @keyword ENDPOINTS 
-; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities 
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
-; coordinates. 
+; @keyword ENDPOINTS
+; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
+; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; coordinates.
 ;
 ; @keyword VECTEUR {type=vector}
@@ -94,21 +94,21 @@
 ; @keyword DIREC
 ; 't' 'x' 'y' 'z' 'xys' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
-;       'xzt' 'yzt' 'xyzt' Direction on which do averages 
+;       'xzt' 'yzt' 'xyzt' Direction on which do averages
 ;
 ; @keyword _EXTRA
 ; Used to pass your keywords.
 ;
-; @keyword COLOR_C 
+; @keyword COLOR_C
 ; To draw the contour in color instead of in black
-; with filling in color 
+; with filling in color
 ;
 ; @param POSFENETRE {out}{type=vector}
-; It is a vector composed by 4 elements containing the position of the frame 
-; containing captions and the graph in normalized coordinates. 
-; Comment: To position the drawing; we have to do !p.position=posfenetre 
+; It is a vector composed by 4 elements containing the position of the frame
+; containing captions and the graph in normalized coordinates.
+; Comment: To position the drawing; we have to do !p.position=posfenetre
 ; after the call of the caliber
 ;
 ; @param POSBAR {out}{type=vector}
-; Like POSFENETRE but for the color bar. 
+; Like POSFENETRE but for the color bar.
 ; Same comment to position the color bar, !p.position=posbar
 ;
@@ -148,5 +148,5 @@
 ; 1) Determination of the size of margins (unity=number of lines or columns)
 ; to the left, to the right, up and down.
-; BEWARE in margebar, the last element is the right up corner 
+; BEWARE in margebar, the last element is the right up corner
 ; instead of the up margin
 ;-------------------------------------------------------------
@@ -157,6 +157,6 @@
     margebar = 1.*[marge[0]+1, marge[1]+1,  marge[2]-8,  marge[2]-6]
     if keyword_set(barmarges) then margebar = margebar+barmarges
-  ENDIF ELSE BEGIN 
-    nocolorbar = keyword_set(nocolorbar) + keyword_set(nofill) + keyword_set(color_c)  
+  ENDIF ELSE BEGIN
+    nocolorbar = keyword_set(nocolorbar) + keyword_set(nofill) + keyword_set(color_c)
     case typedessin of
       'plt':marge = 1.*[6, 2, 4, 3]
@@ -186,5 +186,5 @@
 ; Portrait or landscape
 ;--------------------------------------------------------------
-  IF NOT keyword_set(noerase) THEN BEGIN 
+  IF NOT keyword_set(noerase) THEN BEGIN
     CASE 1 OF
       n_elements(portrait) NE 0:key_portrait = portrait
@@ -192,5 +192,5 @@
       ELSE:
     ENDCASE
-  ENDIF 
+  ENDIF
 ;--------------------------------------------------------------
 ; What type of aspect rapport (it will be crushed if YXASPECT exist)
@@ -218,5 +218,5 @@
 ;------------------------------------------------------------
   case 1 of
-; case of the first drawing on a postcript
+; case of the first drawing on a postscript
     keyword_set(post) AND !d.name ne 'PS':openps, _extra = ex
 ; case of the first drawing on a screen
@@ -236,5 +236,5 @@
       windsize = givewindowsize()
       window, window, xsize = windsize[0], ysize = windsize[1],  retain = 2, _extra = ex
-; When we used colors which are coded on 24bit, we can not stipulate the background color 
+; When we used colors which are coded on 24bit, we can not stipulate the background color
 ; of a window thanks to !p.background, so we have to to this:
 ;          if !d.n_colors gt 256 then begin
